Subject: Re: [PATCH bpf-next v3 00/12] bpf: sockmap, sockhash: support storing UDP sockets

From: Jakub Sitnicki <[email-masked]>
Date: Thu, 05 Mar 2020 13:59:47 +0100

On Wed, Mar 04, 2020 at 11:13 AM CET, Lorenz Bauer wrote:
> Thanks to Jakub's suggestion I was able to eliminate sk_psock_hooks!
> Now TCP and UDP only need to export a single function get_proto,
> which is called from the sockmap code. This reduced the amount of
> boilerplate a bit. The downside is that the IPv6 proto rebuild is
> copied and pasted from TCP, but I think I can live with that.

This turned out nicely, IMHO. Thanks for reworking it.

-jkbs

[...]